> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thena.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Handle published events webhook

> Handles the published events webhook



## OpenAPI

````yaml post /incoming-webhook/events
openapi: 3.0.0
info:
  title: THENA APPS STUDIO
  description: >-
    Thena apps studio is a comprehensive API suite designed to facilitate the
    creation and management of apps.
  version: '1.0'
  contact: {}
servers:
  - url: https://apps-studio.thena.ai
security: []
tags: []
paths:
  /incoming-webhook/events:
    post:
      tags:
        - incoming-webhook
      summary: Handle published events webhook
      description: Handles the published events webhook
      operationId: handlePublishedEventsWebhook
      parameters:
        - name: x-bot-key
          required: true
          in: header
          description: Bot Key
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BaseWebhookEvent'
      responses:
        '200':
          description: Event processed successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookResponseDto'
        '400':
          description: Invalid event format
        '401':
          description: Invalid webhook signature
components:
  schemas:
    BaseWebhookEvent:
      type: object
      properties:
        event_name:
          type: string
          description: Type of the webhook event
          example: linear.contact.synced
        payload:
          type: object
          description: The payload of the webhook event
          example: {}
      required:
        - event_name
        - payload
    WebhookResponseDto:
      type: object
      properties:
        success:
          type: boolean
          description: Indicates if the webhook was processed successfully
          example: true
        messageId:
          type: string
          description: The message ID
          example: 12345678-1234-1234-1234-123456789012
        timestamp:
          type: string
          description: Timestamp of when the webhook was processed
          example: '2024-02-20T12:00:00Z'
      required:
        - success
        - messageId
        - timestamp

````